// CHECKSTYLE:OFF

package hudson.plugins.testlink.util;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code Results.TAP.AddAttachmentsFail}: {@code 
     * 
     * Failed to add TAP
     * attachments to this test case execution. Error message: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code 
     *     
     *     Failed to add TAP attachments to this test case execution.
     *     Error message: {0}.}
     */
    public static String Results_TAP_AddAttachmentsFail(Object arg0) {
        return holder.format("Results.TAP.AddAttachmentsFail", arg0);
    }

    /**
     * Key {@code Results.TAP.AddAttachmentsFail}: {@code 
     * 
     * Failed to add TAP
     * attachments to this test case execution. Error message: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code 
     *     
     *     Failed to add TAP attachments to this test case execution.
     *     Error message: {0}.}
     */
    public static Localizable _Results_TAP_AddAttachmentsFail(Object arg0) {
        return new Localizable(holder, "Results.TAP.AddAttachmentsFail", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.ExecutingSingleBuildSteps}: {@code
     * Executing single Build Steps.
     * }.
     * 
     * @return
     *     {@code Executing single Build Steps.
     *     }
     */
    public static String TestLinkBuilder_ExecutingSingleBuildSteps() {
        return holder.format("TestLinkBuilder.ExecutingSingleBuildSteps");
    }

    /**
     * Key {@code TestLinkBuilder.ExecutingSingleBuildSteps}: {@code
     * Executing single Build Steps.
     * }.
     * 
     * @return
     *     {@code Executing single Build Steps.
     *     }
     */
    public static Localizable _TestLinkBuilder_ExecutingSingleBuildSteps() {
        return new Localizable(holder, "TestLinkBuilder.ExecutingSingleBuildSteps");
    }

    /**
     * Key {@code ReportSummary.Summary.BuildName}: {@code TestLink build
     * name: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code TestLink build name: {0}}
     */
    public static String ReportSummary_Summary_BuildName(Object arg0) {
        return holder.format("ReportSummary.Summary.BuildName", arg0);
    }

    /**
     * Key {@code ReportSummary.Summary.BuildName}: {@code TestLink build
     * name: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code TestLink build name: {0}}
     */
    public static Localizable _ReportSummary_Summary_BuildName(Object arg0) {
        return new Localizable(holder, "ReportSummary.Summary.BuildName", arg0);
    }

    /**
     * Key {@code Results.TestNG.NotesForSuiteAndClass}: {@code name:
     * {0}
     * duration in ms: {1}
     * started at: {2}
     * finished at: {3}
     * number of
     * tests: {4}
     * ---------------
     * class name: {5}
     * number of methods: {6}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @param arg6
     *      7th format parameter, {@code {6}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     duration in ms: {1}
     *     started at: {2}
     *     finished at:
     *     {3}
     *     number of tests: {4}
     *     ---------------
     *     class name: {5}
     *     number of
     *     methods: {6}
     *     }
     */
    public static String Results_TestNG_NotesForSuiteAndClass(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
        return holder.format("Results.TestNG.NotesForSuiteAndClass", arg0, arg1, arg2, arg3, arg4, arg5, arg6);
    }

    /**
     * Key {@code Results.TestNG.NotesForSuiteAndClass}: {@code name:
     * {0}
     * duration in ms: {1}
     * started at: {2}
     * finished at: {3}
     * number of
     * tests: {4}
     * ---------------
     * class name: {5}
     * number of methods: {6}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @param arg6
     *      7th format parameter, {@code {6}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     duration in ms: {1}
     *     started at: {2}
     *     finished at:
     *     {3}
     *     number of tests: {4}
     *     ---------------
     *     class name: {5}
     *     number of
     *     methods: {6}
     *     }
     */
    public static Localizable _Results_TestNG_NotesForSuiteAndClass(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
        return new Localizable(holder, "Results.TestNG.NotesForSuiteAndClass", arg0, arg1, arg2, arg3, arg4, arg5, arg6);
    }

    /**
     * Key {@code TestLinkProjectAction.DisplayName}: {@code TestLink
     * results}.
     * 
     * @return
     *     {@code TestLink results}
     */
    public static String TestLinkProjectAction_DisplayName() {
        return holder.format("TestLinkProjectAction.DisplayName");
    }

    /**
     * Key {@code TestLinkProjectAction.DisplayName}: {@code TestLink
     * results}.
     * 
     * @return
     *     {@code TestLink results}
     */
    public static Localizable _TestLinkProjectAction_DisplayName() {
        return new Localizable(holder, "TestLinkProjectAction.DisplayName");
    }

    /**
     * Key {@code Results.ErrorToLookForTestResults}: {@code An error occured
     * while trying to retrieve the test results: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code An error occured while trying to retrieve the test results:
     *     {0}}
     */
    public static String Results_ErrorToLookForTestResults(Object arg0) {
        return holder.format("Results.ErrorToLookForTestResults", arg0);
    }

    /**
     * Key {@code Results.ErrorToLookForTestResults}: {@code An error occured
     * while trying to retrieve the test results: {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code An error occured while trying to retrieve the test results:
     *     {0}}
     */
    public static Localizable _Results_ErrorToLookForTestResults(Object arg0) {
        return new Localizable(holder, "Results.ErrorToLookForTestResults", arg0);
    }

    /**
     * Key {@code Results.TestNG.IOException}: {@code IO error scanning for
     * include pattern [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code IO error scanning for include pattern [{0}]: {1}.}
     */
    public static String Results_TestNG_IOException(Object arg0, Object arg1) {
        return holder.format("Results.TestNG.IOException", arg0, arg1);
    }

    /**
     * Key {@code Results.TestNG.IOException}: {@code IO error scanning for
     * include pattern [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code IO error scanning for include pattern [{0}]: {1}.}
     */
    public static Localizable _Results_TestNG_IOException(Object arg0, Object arg1) {
        return new Localizable(holder, "Results.TestNG.IOException", arg0, arg1);
    }

    /**
     * Key {@code Results.TestNG.LookingForTestClasses}: {@code Looking for
     * test results in TestNG classes by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG classes by its name.
     *     }
     */
    public static String Results_TestNG_LookingForTestClasses() {
        return holder.format("Results.TestNG.LookingForTestClasses");
    }

    /**
     * Key {@code Results.TestNG.LookingForTestClasses}: {@code Looking for
     * test results in TestNG classes by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG classes by its name.
     *     }
     */
    public static Localizable _Results_TestNG_LookingForTestClasses() {
        return new Localizable(holder, "Results.TestNG.LookingForTestClasses");
    }

    /**
     * Key {@code Results.TestNG.LookingForTestSuites}: {@code Looking for
     * test results in TestNG suites by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG suites by its name.
     *     }
     */
    public static String Results_TestNG_LookingForTestSuites() {
        return holder.format("Results.TestNG.LookingForTestSuites");
    }

    /**
     * Key {@code Results.TestNG.LookingForTestSuites}: {@code Looking for
     * test results in TestNG suites by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG suites by its name.
     *     }
     */
    public static Localizable _Results_TestNG_LookingForTestSuites() {
        return new Localizable(holder, "Results.TestNG.LookingForTestSuites");
    }

    /**
     * Key {@code TestLinkBuilder.PlatformNotFound}: {@code Platform {0} not
     * found.
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Platform {0} not found.
     *     }
     */
    public static String TestLinkBuilder_PlatformNotFound(Object arg0) {
        return holder.format("TestLinkBuilder.PlatformNotFound", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.PlatformNotFound}: {@code Platform {0} not
     * found.
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Platform {0} not found.
     *     }
     */
    public static Localizable _TestLinkBuilder_PlatformNotFound(Object arg0) {
        return new Localizable(holder, "TestLinkBuilder.PlatformNotFound", arg0);
    }

    /**
     * Key {@code ReportSummary.Summary.BuildID}: {@code TestLink build ID:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code TestLink build ID: {0}}
     */
    public static String ReportSummary_Summary_BuildID(Object arg0) {
        return holder.format("ReportSummary.Summary.BuildID", arg0);
    }

    /**
     * Key {@code ReportSummary.Summary.BuildID}: {@code TestLink build ID:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code TestLink build ID: {0}}
     */
    public static Localizable _ReportSummary_Summary_BuildID(Object arg0) {
        return new Localizable(holder, "ReportSummary.Summary.BuildID", arg0);
    }

    /**
     * Key {@code Parser.JUnit.InvalidNumberOfErrors}: {@code Invalid number
     * of errors found in JUnit suite. Expected {0} but got {1}!}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Invalid number of errors found in JUnit suite. Expected {0} but
     *     got {1}!}
     */
    public static String Parser_JUnit_InvalidNumberOfErrors(Object arg0, Object arg1) {
        return holder.format("Parser.JUnit.InvalidNumberOfErrors", arg0, arg1);
    }

    /**
     * Key {@code Parser.JUnit.InvalidNumberOfErrors}: {@code Invalid number
     * of errors found in JUnit suite. Expected {0} but got {1}!}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Invalid number of errors found in JUnit suite. Expected {0} but
     *     got {1}!}
     */
    public static Localizable _Parser_JUnit_InvalidNumberOfErrors(Object arg0, Object arg1) {
        return new Localizable(holder, "Parser.JUnit.InvalidNumberOfErrors", arg0, arg1);
    }

    /**
     * Key {@code ReportSummary.Summary.Text}: {@code Total of {0} tests</a>.
     * Where {1} passed, {2} failed, {3} were blocked and {4} were not
     * executed.}.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Total of {0} tests</a>. Where {1} passed, {2} failed, {3} were
     *     blocked and {4} were not executed.}
     */
    public static String ReportSummary_Summary_Text(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return holder.format("ReportSummary.Summary.Text", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code ReportSummary.Summary.Text}: {@code Total of {0} tests</a>.
     * Where {1} passed, {2} failed, {3} were blocked and {4} were not
     * executed.}.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Total of {0} tests</a>. Where {1} passed, {2} failed, {3} were
     *     blocked and {4} were not executed.}
     */
    public static Localizable _ReportSummary_Summary_Text(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return new Localizable(holder, "ReportSummary.Summary.Text", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code ReportSummary.Details.TestCaseId}: {@code Test case ID}.
     * 
     * @return
     *     {@code Test case ID}
     */
    public static String ReportSummary_Details_TestCaseId() {
        return holder.format("ReportSummary.Details.TestCaseId");
    }

    /**
     * Key {@code ReportSummary.Details.TestCaseId}: {@code Test case ID}.
     * 
     * @return
     *     {@code Test case ID}
     */
    public static Localizable _ReportSummary_Details_TestCaseId() {
        return new Localizable(holder, "ReportSummary.Details.TestCaseId");
    }

    /**
     * Key {@code Results.TestNG.LookingForTestMethod}: {@code Looking for
     * test results in TestNG methods by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG methods by its name.
     *     }
     */
    public static String Results_TestNG_LookingForTestMethod() {
        return holder.format("Results.TestNG.LookingForTestMethod");
    }

    /**
     * Key {@code Results.TestNG.LookingForTestMethod}: {@code Looking for
     * test results in TestNG methods by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG methods by its name.
     *     }
     */
    public static Localizable _Results_TestNG_LookingForTestMethod() {
        return new Localizable(holder, "Results.TestNG.LookingForTestMethod");
    }

    /**
     * Key {@code Results.TestNG.NoPattern}: {@code Empty TestNG include
     * pattern. Skipping TestNG test results.
     * }.
     * 
     * @return
     *     {@code Empty TestNG include pattern. Skipping TestNG test results.
     *     }
     */
    public static String Results_TestNG_NoPattern() {
        return holder.format("Results.TestNG.NoPattern");
    }

    /**
     * Key {@code Results.TestNG.NoPattern}: {@code Empty TestNG include
     * pattern. Skipping TestNG test results.
     * }.
     * 
     * @return
     *     {@code Empty TestNG include pattern. Skipping TestNG test results.
     *     }
     */
    public static Localizable _Results_TestNG_NoPattern() {
        return new Localizable(holder, "Results.TestNG.NoPattern");
    }

    /**
     * Key {@code TestLinkBuilder.Update.AutomatedTestCases}: {@code Updating
     * TestLink test cases.
     * }.
     * 
     * @return
     *     {@code Updating TestLink test cases.
     *     }
     */
    public static String TestLinkBuilder_Update_AutomatedTestCases() {
        return holder.format("TestLinkBuilder.Update.AutomatedTestCases");
    }

    /**
     * Key {@code TestLinkBuilder.Update.AutomatedTestCases}: {@code Updating
     * TestLink test cases.
     * }.
     * 
     * @return
     *     {@code Updating TestLink test cases.
     *     }
     */
    public static Localizable _TestLinkBuilder_Update_AutomatedTestCases() {
        return new Localizable(holder, "TestLinkBuilder.Update.AutomatedTestCases");
    }

    /**
     * Key {@code ReportSummary.Details.Version}: {@code Version}.
     * 
     * @return
     *     {@code Version}
     */
    public static String ReportSummary_Details_Version() {
        return holder.format("ReportSummary.Details.Version");
    }

    /**
     * Key {@code ReportSummary.Details.Version}: {@code Version}.
     * 
     * @return
     *     {@code Version}
     */
    public static Localizable _ReportSummary_Details_Version() {
        return new Localizable(holder, "ReportSummary.Details.Version");
    }

    /**
     * Key {@code Results.JUnit.LookingForTestCases}: {@code Looking for test
     * results in JUnit test cases by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit test cases by its name.
     *     }
     */
    public static String Results_JUnit_LookingForTestCases() {
        return holder.format("Results.JUnit.LookingForTestCases");
    }

    /**
     * Key {@code Results.JUnit.LookingForTestCases}: {@code Looking for test
     * results in JUnit test cases by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit test cases by its name.
     *     }
     */
    public static Localizable _Results_JUnit_LookingForTestCases() {
        return new Localizable(holder, "Results.JUnit.LookingForTestCases");
    }

    /**
     * Key {@code Results.LookingForTestResults}: {@code Looking for the test
     * results of TestLink test cases.
     * }.
     * 
     * @return
     *     {@code Looking for the test results of TestLink test cases.
     *     }
     */
    public static String Results_LookingForTestResults() {
        return holder.format("Results.LookingForTestResults");
    }

    /**
     * Key {@code Results.LookingForTestResults}: {@code Looking for the test
     * results of TestLink test cases.
     * }.
     * 
     * @return
     *     {@code Looking for the test results of TestLink test cases.
     *     }
     */
    public static Localizable _Results_LookingForTestResults() {
        return new Localizable(holder, "Results.LookingForTestResults");
    }

    /**
     * Key {@code TestLinkBuilder.InvalidTLURL}: {@code Invalid TestLink URL:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Invalid TestLink URL: {0}}
     */
    public static String TestLinkBuilder_InvalidTLURL(Object arg0) {
        return holder.format("TestLinkBuilder.InvalidTLURL", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.InvalidTLURL}: {@code Invalid TestLink URL:
     * {0}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Invalid TestLink URL: {0}}
     */
    public static Localizable _TestLinkBuilder_InvalidTLURL(Object arg0) {
        return new Localizable(holder, "TestLinkBuilder.InvalidTLURL", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.InvalidTLAPI}: {@code Invalid TestLink
     * installation.}.
     * 
     * @return
     *     {@code Invalid TestLink installation.}
     */
    public static String TestLinkBuilder_InvalidTLAPI() {
        return holder.format("TestLinkBuilder.InvalidTLAPI");
    }

    /**
     * Key {@code TestLinkBuilder.InvalidTLAPI}: {@code Invalid TestLink
     * installation.}.
     * 
     * @return
     *     {@code Invalid TestLink installation.}
     */
    public static Localizable _TestLinkBuilder_InvalidTLAPI() {
        return new Localizable(holder, "TestLinkBuilder.InvalidTLAPI");
    }

    /**
     * Key {@code Parser.JUnit.InvalidNumberOfFailures}: {@code Invalid
     * number of failures found in JUnit suite. Expected {0} but got {1}!}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Invalid number of failures found in JUnit suite. Expected {0}
     *     but got {1}!}
     */
    public static String Parser_JUnit_InvalidNumberOfFailures(Object arg0, Object arg1) {
        return holder.format("Parser.JUnit.InvalidNumberOfFailures", arg0, arg1);
    }

    /**
     * Key {@code Parser.JUnit.InvalidNumberOfFailures}: {@code Invalid
     * number of failures found in JUnit suite. Expected {0} but got {1}!}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Invalid number of failures found in JUnit suite. Expected {0}
     *     but got {1}!}
     */
    public static Localizable _Parser_JUnit_InvalidNumberOfFailures(Object arg0, Object arg1) {
        return new Localizable(holder, "Parser.JUnit.InvalidNumberOfFailures", arg0, arg1);
    }

    /**
     * Key {@code Results.TAP.NumberOfReportsFound}: {@code Found [{0}] TAP
     * file(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found [{0}] TAP file(s).
     *     }
     */
    public static String Results_TAP_NumberOfReportsFound(Object arg0) {
        return holder.format("Results.TAP.NumberOfReportsFound", arg0);
    }

    /**
     * Key {@code Results.TAP.NumberOfReportsFound}: {@code Found [{0}] TAP
     * file(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found [{0}] TAP file(s).
     *     }
     */
    public static Localizable _Results_TAP_NumberOfReportsFound(Object arg0) {
        return new Localizable(holder, "Results.TAP.NumberOfReportsFound", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.UsedTLURL}: {@code Using TestLink URL:
     * {0}
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Using TestLink URL: {0}
     *     }
     */
    public static String TestLinkBuilder_UsedTLURL(Object arg0) {
        return holder.format("TestLinkBuilder.UsedTLURL", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.UsedTLURL}: {@code Using TestLink URL:
     * {0}
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Using TestLink URL: {0}
     *     }
     */
    public static Localizable _TestLinkBuilder_UsedTLURL(Object arg0) {
        return new Localizable(holder, "TestLinkBuilder.UsedTLURL", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.ShowFoundTestResults}: {@code Found {0}
     * test result(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found {0} test result(s).
     *     }
     */
    public static String TestLinkBuilder_ShowFoundTestResults(Object arg0) {
        return holder.format("TestLinkBuilder.ShowFoundTestResults", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.ShowFoundTestResults}: {@code Found {0}
     * test result(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found {0} test result(s).
     *     }
     */
    public static Localizable _TestLinkBuilder_ShowFoundTestResults(Object arg0) {
        return new Localizable(holder, "TestLinkBuilder.ShowFoundTestResults", arg0);
    }

    /**
     * Key {@code Results.JUnit.LookingForTestClasses}: {@code Looking for
     * test results in JUnit classes by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit classes by its name.
     *     }
     */
    public static String Results_JUnit_LookingForTestClasses() {
        return holder.format("Results.JUnit.LookingForTestClasses");
    }

    /**
     * Key {@code Results.JUnit.LookingForTestClasses}: {@code Looking for
     * test results in JUnit classes by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit classes by its name.
     *     }
     */
    public static Localizable _Results_JUnit_LookingForTestClasses() {
        return new Localizable(holder, "Results.JUnit.LookingForTestClasses");
    }

    /**
     * Key {@code Results.TestNG.NotesForMethods}: {@code name: {0}
     *  
     * config?: {1}
     *   signature: {2}
     *   status: {3}
     *   duration in ms: {4}
     *  
     * started at: {5}  finished at: {6}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @param arg6
     *      7th format parameter, {@code {6}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *       config?: {1}
     *       signature: {2}
     *       status: {3}
     *      
     *     duration in ms: {4}
     *       started at: {5}  finished at: {6}
     *     }
     */
    public static String Results_TestNG_NotesForMethods(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
        return holder.format("Results.TestNG.NotesForMethods", arg0, arg1, arg2, arg3, arg4, arg5, arg6);
    }

    /**
     * Key {@code Results.TestNG.NotesForMethods}: {@code name: {0}
     *  
     * config?: {1}
     *   signature: {2}
     *   status: {3}
     *   duration in ms: {4}
     *  
     * started at: {5}  finished at: {6}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @param arg6
     *      7th format parameter, {@code {6}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *       config?: {1}
     *       signature: {2}
     *       status: {3}
     *      
     *     duration in ms: {4}
     *       started at: {5}  finished at: {6}
     *     }
     */
    public static Localizable _Results_TestNG_NotesForMethods(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
        return new Localizable(holder, "Results.TestNG.NotesForMethods", arg0, arg1, arg2, arg3, arg4, arg5, arg6);
    }

    /**
     * Key {@code Results.JUnit.AddAttachmentsFail}: {@code 
     * 
     * Failed to add
     * JUnit attachments to this test case execution. Error message: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code 
     *     
     *     Failed to add JUnit attachments to this test case execution.
     *     Error message: {0}.}
     */
    public static String Results_JUnit_AddAttachmentsFail(Object arg0) {
        return holder.format("Results.JUnit.AddAttachmentsFail", arg0);
    }

    /**
     * Key {@code Results.JUnit.AddAttachmentsFail}: {@code 
     * 
     * Failed to add
     * JUnit attachments to this test case execution. Error message: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code 
     *     
     *     Failed to add JUnit attachments to this test case execution.
     *     Error message: {0}.}
     */
    public static Localizable _Results_JUnit_AddAttachmentsFail(Object arg0) {
        return new Localizable(holder, "Results.JUnit.AddAttachmentsFail", arg0);
    }

    /**
     * Key {@code Parser.Error}: {@code Error while parsing file {0}: {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error while parsing file {0}: {1}}
     */
    public static String Parser_Error(Object arg0, Object arg1) {
        return holder.format("Parser.Error", arg0, arg1);
    }

    /**
     * Key {@code Parser.Error}: {@code Error while parsing file {0}: {1}}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Error while parsing file {0}: {1}}
     */
    public static Localizable _Parser_Error(Object arg0, Object arg1) {
        return new Localizable(holder, "Parser.Error", arg0, arg1);
    }

    /**
     * Key {@code TestLinkBuilder.MergingEnvVars}: {@code Merging build
     * environment variables with data retrieved from TestLink.
     * }.
     * 
     * @return
     *     {@code Merging build environment variables with data retrieved from
     *     TestLink.
     *     }
     */
    public static String TestLinkBuilder_MergingEnvVars() {
        return holder.format("TestLinkBuilder.MergingEnvVars");
    }

    /**
     * Key {@code TestLinkBuilder.MergingEnvVars}: {@code Merging build
     * environment variables with data retrieved from TestLink.
     * }.
     * 
     * @return
     *     {@code Merging build environment variables with data retrieved from
     *     TestLink.
     *     }
     */
    public static Localizable _TestLinkBuilder_MergingEnvVars() {
        return new Localizable(holder, "TestLinkBuilder.MergingEnvVars");
    }

    /**
     * Key {@code TestLinkBuilder.Build.Notes}: {@code Build created
     * automatically with TestLink Jenkins Plug-in.}.
     * 
     * @return
     *     {@code Build created automatically with TestLink Jenkins Plug-in.}
     */
    public static String TestLinkBuilder_Build_Notes() {
        return holder.format("TestLinkBuilder.Build.Notes");
    }

    /**
     * Key {@code TestLinkBuilder.Build.Notes}: {@code Build created
     * automatically with TestLink Jenkins Plug-in.}.
     * 
     * @return
     *     {@code Build created automatically with TestLink Jenkins Plug-in.}
     */
    public static Localizable _TestLinkBuilder_Build_Notes() {
        return new Localizable(holder, "TestLinkBuilder.Build.Notes");
    }

    /**
     * Key {@code Results.TestNG.NotesForSuite}: {@code name: {0}
     * duration in
     * ms: {1}
     * started at: {2}
     * finished at: {3}
     * number of tests: {4}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     duration in ms: {1}
     *     started at: {2}
     *     finished at:
     *     {3}
     *     number of tests: {4}
     *     }
     */
    public static String Results_TestNG_NotesForSuite(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return holder.format("Results.TestNG.NotesForSuite", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code Results.TestNG.NotesForSuite}: {@code name: {0}
     * duration in
     * ms: {1}
     * started at: {2}
     * finished at: {3}
     * number of tests: {4}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     duration in ms: {1}
     *     started at: {2}
     *     finished at:
     *     {3}
     *     number of tests: {4}
     *     }
     */
    public static Localizable _Results_TestNG_NotesForSuite(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return new Localizable(holder, "Results.TestNG.NotesForSuite", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code TestLinkBuilder.MandatoryProperty}: {@code This property is
     * mandatory.}.
     * 
     * @return
     *     {@code This property is mandatory.}
     */
    public static String TestLinkBuilder_MandatoryProperty() {
        return holder.format("TestLinkBuilder.MandatoryProperty");
    }

    /**
     * Key {@code TestLinkBuilder.MandatoryProperty}: {@code This property is
     * mandatory.}.
     * 
     * @return
     *     {@code This property is mandatory.}
     */
    public static Localizable _TestLinkBuilder_MandatoryProperty() {
        return new Localizable(holder, "TestLinkBuilder.MandatoryProperty");
    }

    /**
     * Key {@code Results.TAP.NoPattern}: {@code Empty TAP include pattern.
     * Skipping TAP test results.
     * }.
     * 
     * @return
     *     {@code Empty TAP include pattern. Skipping TAP test results.
     *     }
     */
    public static String Results_TAP_NoPattern() {
        return holder.format("Results.TAP.NoPattern");
    }

    /**
     * Key {@code Results.TAP.NoPattern}: {@code Empty TAP include pattern.
     * Skipping TAP test results.
     * }.
     * 
     * @return
     *     {@code Empty TAP include pattern. Skipping TAP test results.
     *     }
     */
    public static Localizable _Results_TAP_NoPattern() {
        return new Localizable(holder, "Results.TAP.NoPattern");
    }

    /**
     * Key {@code TestLinkBuilder.SortingTestCases}: {@code Sorting automated
     * test cases by TestLink test plan execution order.
     * }.
     * 
     * @return
     *     {@code Sorting automated test cases by TestLink test plan execution
     *     order.
     *     }
     */
    public static String TestLinkBuilder_SortingTestCases() {
        return holder.format("TestLinkBuilder.SortingTestCases");
    }

    /**
     * Key {@code TestLinkBuilder.SortingTestCases}: {@code Sorting automated
     * test cases by TestLink test plan execution order.
     * }.
     * 
     * @return
     *     {@code Sorting automated test cases by TestLink test plan execution
     *     order.
     *     }
     */
    public static Localizable _TestLinkBuilder_SortingTestCases() {
        return new Localizable(holder, "TestLinkBuilder.SortingTestCases");
    }

    /**
     * Key {@code Results.JUnit.NotesForTestCase}: {@code name:
     * {0}
     * classname: {1}
     * errors: {2}
     * failures: {3}
     * time: {4}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     classname: {1}
     *     errors: {2}
     *     failures: {3}
     *     time: {4}
     *     }
     */
    public static String Results_JUnit_NotesForTestCase(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return holder.format("Results.JUnit.NotesForTestCase", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code Results.JUnit.NotesForTestCase}: {@code name:
     * {0}
     * classname: {1}
     * errors: {2}
     * failures: {3}
     * time: {4}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     classname: {1}
     *     errors: {2}
     *     failures: {3}
     *     time: {4}
     *     }
     */
    public static Localizable _Results_JUnit_NotesForTestCase(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return new Localizable(holder, "Results.JUnit.NotesForTestCase", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code Results.JUnit.NotesForTestClass}: {@code classname:
     * {0}
     * time: {1}
     * }.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code classname: {0}
     *     time: {1}
     *     }
     */
    public static String Results_JUnit_NotesForTestClass(Object arg0, Object arg1) {
        return holder.format("Results.JUnit.NotesForTestClass", arg0, arg1);
    }

    /**
     * Key {@code Results.JUnit.NotesForTestClass}: {@code classname:
     * {0}
     * time: {1}
     * }.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code classname: {0}
     *     time: {1}
     *     }
     */
    public static Localizable _Results_JUnit_NotesForTestClass(Object arg0, Object arg1) {
        return new Localizable(holder, "Results.JUnit.NotesForTestClass", arg0, arg1);
    }

    /**
     * Key {@code Results.JUnit.LookingForTestSuites}: {@code Looking for
     * test results in JUnit suites by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit suites by its name.
     *     }
     */
    public static String Results_JUnit_LookingForTestSuites() {
        return holder.format("Results.JUnit.LookingForTestSuites");
    }

    /**
     * Key {@code Results.JUnit.LookingForTestSuites}: {@code Looking for
     * test results in JUnit suites by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit suites by its name.
     *     }
     */
    public static Localizable _Results_JUnit_LookingForTestSuites() {
        return new Localizable(holder, "Results.JUnit.LookingForTestSuites");
    }

    /**
     * Key {@code TestLinkBuilder.ShowFoundAutomatedTestCases}: {@code Found
     * {0} automated test cases in TestLink.
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found {0} automated test cases in TestLink.
     *     }
     */
    public static String TestLinkBuilder_ShowFoundAutomatedTestCases(Object arg0) {
        return holder.format("TestLinkBuilder.ShowFoundAutomatedTestCases", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.ShowFoundAutomatedTestCases}: {@code Found
     * {0} automated test cases in TestLink.
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found {0} automated test cases in TestLink.
     *     }
     */
    public static Localizable _TestLinkBuilder_ShowFoundAutomatedTestCases(Object arg0) {
        return new Localizable(holder, "TestLinkBuilder.ShowFoundAutomatedTestCases", arg0);
    }

    /**
     * Key {@code ReportSummary.Details.Header}: {@code List of test cases
     * and execution result status}.
     * 
     * @return
     *     {@code List of test cases and execution result status}
     */
    public static String ReportSummary_Details_Header() {
        return holder.format("ReportSummary.Details.Header");
    }

    /**
     * Key {@code ReportSummary.Details.Header}: {@code List of test cases
     * and execution result status}.
     * 
     * @return
     *     {@code List of test cases and execution result status}
     */
    public static Localizable _ReportSummary_Details_Header() {
        return new Localizable(holder, "ReportSummary.Details.Header");
    }

    /**
     * Key {@code Results.TestNG.NumberOfReportsFound}: {@code Found [{0}]
     * TestNG XML(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found [{0}] TestNG XML(s).
     *     }
     */
    public static String Results_TestNG_NumberOfReportsFound(Object arg0) {
        return holder.format("Results.TestNG.NumberOfReportsFound", arg0);
    }

    /**
     * Key {@code Results.TestNG.NumberOfReportsFound}: {@code Found [{0}]
     * TestNG XML(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found [{0}] TestNG XML(s).
     *     }
     */
    public static Localizable _Results_TestNG_NumberOfReportsFound(Object arg0) {
        return new Localizable(holder, "Results.TestNG.NumberOfReportsFound", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.SettingSystemProperty}: {@code Setting
     * system property {0}, value {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Setting system property {0}, value {1}.}
     */
    public static String TestLinkBuilder_SettingSystemProperty(Object arg0, Object arg1) {
        return holder.format("TestLinkBuilder.SettingSystemProperty", arg0, arg1);
    }

    /**
     * Key {@code TestLinkBuilder.SettingSystemProperty}: {@code Setting
     * system property {0}, value {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Setting system property {0}, value {1}.}
     */
    public static Localizable _TestLinkBuilder_SettingSystemProperty(Object arg0, Object arg1) {
        return new Localizable(holder, "TestLinkBuilder.SettingSystemProperty", arg0, arg1);
    }

    /**
     * Key {@code TestLinkBuilder.ExecutingIterativeBuildSteps}: {@code
     * Executing iterative Build Steps.
     * }.
     * 
     * @return
     *     {@code Executing iterative Build Steps.
     *     }
     */
    public static String TestLinkBuilder_ExecutingIterativeBuildSteps() {
        return holder.format("TestLinkBuilder.ExecutingIterativeBuildSteps");
    }

    /**
     * Key {@code TestLinkBuilder.ExecutingIterativeBuildSteps}: {@code
     * Executing iterative Build Steps.
     * }.
     * 
     * @return
     *     {@code Executing iterative Build Steps.
     *     }
     */
    public static Localizable _TestLinkBuilder_ExecutingIterativeBuildSteps() {
        return new Localizable(holder, "TestLinkBuilder.ExecutingIterativeBuildSteps");
    }

    /**
     * Key {@code Results.TestNG.AddAttachmentsFail}: {@code 
     * 
     * Failed to add
     * TestNG attachments to this test case execution. Error message: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code 
     *     
     *     Failed to add TestNG attachments to this test case execution.
     *     Error message: {0}.}
     */
    public static String Results_TestNG_AddAttachmentsFail(Object arg0) {
        return holder.format("Results.TestNG.AddAttachmentsFail", arg0);
    }

    /**
     * Key {@code Results.TestNG.AddAttachmentsFail}: {@code 
     * 
     * Failed to add
     * TestNG attachments to this test case execution. Error message: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code 
     *     
     *     Failed to add TestNG attachments to this test case execution.
     *     Error message: {0}.}
     */
    public static Localizable _Results_TestNG_AddAttachmentsFail(Object arg0) {
        return new Localizable(holder, "Results.TestNG.AddAttachmentsFail", arg0);
    }

    /**
     * Key {@code Results.JUnit.NoPattern}: {@code Empty JUnit include
     * pattern. Skipping JUnit test results.
     * }.
     * 
     * @return
     *     {@code Empty JUnit include pattern. Skipping JUnit test results.
     *     }
     */
    public static String Results_JUnit_NoPattern() {
        return holder.format("Results.JUnit.NoPattern");
    }

    /**
     * Key {@code Results.JUnit.NoPattern}: {@code Empty JUnit include
     * pattern. Skipping JUnit test results.
     * }.
     * 
     * @return
     *     {@code Empty JUnit include pattern. Skipping JUnit test results.
     *     }
     */
    public static Localizable _Results_JUnit_NoPattern() {
        return new Localizable(holder, "Results.JUnit.NoPattern");
    }

    /**
     * Key {@code Results.JUnit.NotesForTestSuite}: {@code name: {0}
     * system
     * err: {1}
     * system out: {2}
     * tests: {3}
     * time: {4}
     * timestamp: {5}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     system err: {1}
     *     system out: {2}
     *     tests: {3}
     *     time:
     *     {4}
     *     timestamp: {5}
     *     }
     */
    public static String Results_JUnit_NotesForTestSuite(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
        return holder.format("Results.JUnit.NotesForTestSuite", arg0, arg1, arg2, arg3, arg4, arg5);
    }

    /**
     * Key {@code Results.JUnit.NotesForTestSuite}: {@code name: {0}
     * system
     * err: {1}
     * system out: {2}
     * tests: {3}
     * time: {4}
     * timestamp: {5}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     system err: {1}
     *     system out: {2}
     *     tests: {3}
     *     time:
     *     {4}
     *     timestamp: {5}
     *     }
     */
    public static Localizable _Results_JUnit_NotesForTestSuite(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
        return new Localizable(holder, "Results.JUnit.NotesForTestSuite", arg0, arg1, arg2, arg3, arg4, arg5);
    }

    /**
     * Key {@code Results.JUnit.IOException}: {@code IO error scanning for
     * include pattern [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code IO error scanning for include pattern [{0}]: {1}.}
     */
    public static String Results_JUnit_IOException(Object arg0, Object arg1) {
        return holder.format("Results.JUnit.IOException", arg0, arg1);
    }

    /**
     * Key {@code Results.JUnit.IOException}: {@code IO error scanning for
     * include pattern [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code IO error scanning for include pattern [{0}]: {1}.}
     */
    public static Localizable _Results_JUnit_IOException(Object arg0, Object arg1) {
        return new Localizable(holder, "Results.JUnit.IOException", arg0, arg1);
    }

    /**
     * Key {@code Results.TestNG.LookingForTestMethodDataProvider}: {@code
     * Looking for test results in TestNG methods by its name and data
     * provider name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG methods by its name and data
     *     provider name.
     *     }
     */
    public static String Results_TestNG_LookingForTestMethodDataProvider() {
        return holder.format("Results.TestNG.LookingForTestMethodDataProvider");
    }

    /**
     * Key {@code Results.TestNG.LookingForTestMethodDataProvider}: {@code
     * Looking for test results in TestNG methods by its name and data
     * provider name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TestNG methods by its name and data
     *     provider name.
     *     }
     */
    public static Localizable _Results_TestNG_LookingForTestMethodDataProvider() {
        return new Localizable(holder, "Results.TestNG.LookingForTestMethodDataProvider");
    }

    /**
     * Key {@code Results.JUnit.NotesForTestMethod}: {@code name:
     * {0}
     * classname: {1}
     * errors: {2}
     * failures: {3}
     * time: {4}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     classname: {1}
     *     errors: {2}
     *     failures: {3}
     *     time: {4}
     *     }
     */
    public static String Results_JUnit_NotesForTestMethod(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return holder.format("Results.JUnit.NotesForTestMethod", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code Results.JUnit.NotesForTestMethod}: {@code name:
     * {0}
     * classname: {1}
     * errors: {2}
     * failures: {3}
     * time: {4}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *     classname: {1}
     *     errors: {2}
     *     failures: {3}
     *     time: {4}
     *     }
     */
    public static Localizable _Results_JUnit_NotesForTestMethod(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
        return new Localizable(holder, "Results.JUnit.NotesForTestMethod", arg0, arg1, arg2, arg3, arg4);
    }

    /**
     * Key {@code ReportSummary.Details.ExecutionStatus}: {@code Execution
     * status}.
     * 
     * @return
     *     {@code Execution status}
     */
    public static String ReportSummary_Details_ExecutionStatus() {
        return holder.format("ReportSummary.Details.ExecutionStatus");
    }

    /**
     * Key {@code ReportSummary.Details.ExecutionStatus}: {@code Execution
     * status}.
     * 
     * @return
     *     {@code Execution status}
     */
    public static Localizable _ReportSummary_Details_ExecutionStatus() {
        return new Localizable(holder, "ReportSummary.Details.ExecutionStatus");
    }

    /**
     * Key {@code ReportSummary.Details.Name}: {@code Name}.
     * 
     * @return
     *     {@code Name}
     */
    public static String ReportSummary_Details_Name() {
        return holder.format("ReportSummary.Details.Name");
    }

    /**
     * Key {@code ReportSummary.Details.Name}: {@code Name}.
     * 
     * @return
     *     {@code Name}
     */
    public static Localizable _ReportSummary_Details_Name() {
        return new Localizable(holder, "ReportSummary.Details.Name");
    }

    /**
     * Key {@code ReportSummary.Details.TestCaseExternalId}: {@code Test case
     * external ID}.
     * 
     * @return
     *     {@code Test case external ID}
     */
    public static String ReportSummary_Details_TestCaseExternalId() {
        return holder.format("ReportSummary.Details.TestCaseExternalId");
    }

    /**
     * Key {@code ReportSummary.Details.TestCaseExternalId}: {@code Test case
     * external ID}.
     * 
     * @return
     *     {@code Test case external ID}
     */
    public static Localizable _ReportSummary_Details_TestCaseExternalId() {
        return new Localizable(holder, "ReportSummary.Details.TestCaseExternalId");
    }

    /**
     * Key {@code TestLinkBuilder.PreparingTLAPI}: {@code Preparing TestLink
     * client API.}.
     * 
     * @return
     *     {@code Preparing TestLink client API.}
     */
    public static String TestLinkBuilder_PreparingTLAPI() {
        return holder.format("TestLinkBuilder.PreparingTLAPI");
    }

    /**
     * Key {@code TestLinkBuilder.PreparingTLAPI}: {@code Preparing TestLink
     * client API.}.
     * 
     * @return
     *     {@code Preparing TestLink client API.}
     */
    public static Localizable _TestLinkBuilder_PreparingTLAPI() {
        return new Localizable(holder, "TestLinkBuilder.PreparingTLAPI");
    }

    /**
     * Key {@code Results.TestNG.NotesForMethodsWithDataProviders}: {@code
     * name: {0}
     *   config?: {1}
     *   signature: {2}
     *   status: {3}
     *   duration in
     * ms: {4}
     *   started at: {5}  finished at: {6}
     *   data provider: {7}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @param arg7
     *      8th format parameter, {@code {7}}, as {@link String#valueOf(Object)}.
     * @param arg6
     *      7th format parameter, {@code {6}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *       config?: {1}
     *       signature: {2}
     *       status: {3}
     *      
     *     duration in ms: {4}
     *       started at: {5}  finished at: {6}
     *       data
     *     provider: {7}
     *     }
     */
    public static String Results_TestNG_NotesForMethodsWithDataProviders(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
        return holder.format("Results.TestNG.NotesForMethodsWithDataProviders", arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7);
    }

    /**
     * Key {@code Results.TestNG.NotesForMethodsWithDataProviders}: {@code
     * name: {0}
     *   config?: {1}
     *   signature: {2}
     *   status: {3}
     *   duration in
     * ms: {4}
     *   started at: {5}  finished at: {6}
     *   data provider: {7}
     * }.
     * 
     * @param arg3
     *      4th format parameter, {@code {3}}, as {@link String#valueOf(Object)}.
     * @param arg2
     *      3rd format parameter, {@code {2}}, as {@link String#valueOf(Object)}.
     * @param arg5
     *      6th format parameter, {@code {5}}, as {@link String#valueOf(Object)}.
     * @param arg4
     *      5th format parameter, {@code {4}}, as {@link String#valueOf(Object)}.
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @param arg7
     *      8th format parameter, {@code {7}}, as {@link String#valueOf(Object)}.
     * @param arg6
     *      7th format parameter, {@code {6}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code name: {0}
     *       config?: {1}
     *       signature: {2}
     *       status: {3}
     *      
     *     duration in ms: {4}
     *       started at: {5}  finished at: {6}
     *       data
     *     provider: {7}
     *     }
     */
    public static Localizable _Results_TestNG_NotesForMethodsWithDataProviders(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, Object arg7) {
        return new Localizable(holder, "Results.TestNG.NotesForMethodsWithDataProviders", arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7);
    }

    /**
     * Key {@code TestLinkBuilder.TestLinkCommunicationError}: {@code Error
     * communicating with TestLink. Check your TestLink configuration.}.
     * 
     * @return
     *     {@code Error communicating with TestLink. Check your TestLink
     *     configuration.}
     */
    public static String TestLinkBuilder_TestLinkCommunicationError() {
        return holder.format("TestLinkBuilder.TestLinkCommunicationError");
    }

    /**
     * Key {@code TestLinkBuilder.TestLinkCommunicationError}: {@code Error
     * communicating with TestLink. Check your TestLink configuration.}.
     * 
     * @return
     *     {@code Error communicating with TestLink. Check your TestLink
     *     configuration.}
     */
    public static Localizable _TestLinkBuilder_TestLinkCommunicationError() {
        return new Localizable(holder, "TestLinkBuilder.TestLinkCommunicationError");
    }

    /**
     * Key {@code Results.TAP.LookingForTestSets}: {@code Looking for test
     * results in TAP test sets.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TAP test sets.
     *     }
     */
    public static String Results_TAP_LookingForTestSets() {
        return holder.format("Results.TAP.LookingForTestSets");
    }

    /**
     * Key {@code Results.TAP.LookingForTestSets}: {@code Looking for test
     * results in TAP test sets.
     * }.
     * 
     * @return
     *     {@code Looking for test results in TAP test sets.
     *     }
     */
    public static Localizable _Results_TAP_LookingForTestSets() {
        return new Localizable(holder, "Results.TAP.LookingForTestSets");
    }

    /**
     * Key {@code Parser.TAP.ParsingFail}: {@code Failed to parse TAP file
     * [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed to parse TAP file [{0}]: {1}.}
     */
    public static String Parser_TAP_ParsingFail(Object arg0, Object arg1) {
        return holder.format("Parser.TAP.ParsingFail", arg0, arg1);
    }

    /**
     * Key {@code Parser.TAP.ParsingFail}: {@code Failed to parse TAP file
     * [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed to parse TAP file [{0}]: {1}.}
     */
    public static Localizable _Parser_TAP_ParsingFail(Object arg0, Object arg1) {
        return new Localizable(holder, "Parser.TAP.ParsingFail", arg0, arg1);
    }

    /**
     * Key {@code Results.JUnit.LookingForTestMethods}: {@code Looking for
     * test results in JUnit methods by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit methods by its name.
     *     }
     */
    public static String Results_JUnit_LookingForTestMethods() {
        return holder.format("Results.JUnit.LookingForTestMethods");
    }

    /**
     * Key {@code Results.JUnit.LookingForTestMethods}: {@code Looking for
     * test results in JUnit methods by its name.
     * }.
     * 
     * @return
     *     {@code Looking for test results in JUnit methods by its name.
     *     }
     */
    public static Localizable _Results_JUnit_LookingForTestMethods() {
        return new Localizable(holder, "Results.JUnit.LookingForTestMethods");
    }

    /**
     * Key {@code TestLinkBuilder.FailedToUpdateTL}: {@code Failed to update
     * TestLink test results: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed to update TestLink test results: {0}.}
     */
    public static String TestLinkBuilder_FailedToUpdateTL(Object arg0) {
        return holder.format("TestLinkBuilder.FailedToUpdateTL", arg0);
    }

    /**
     * Key {@code TestLinkBuilder.FailedToUpdateTL}: {@code Failed to update
     * TestLink test results: {0}.}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Failed to update TestLink test results: {0}.}
     */
    public static Localizable _TestLinkBuilder_FailedToUpdateTL(Object arg0) {
        return new Localizable(holder, "TestLinkBuilder.FailedToUpdateTL", arg0);
    }

    /**
     * Key {@code Results.TAP.UnkownInternalError}: {@code Unkown internal
     * error. Please, open an issue in Jenkins JIRA with the complete stack
     * trace. If possible, try including the TAP file(s) too.}.
     * 
     * @return
     *     {@code Unkown internal error. Please, open an issue in Jenkins JIRA
     *     with the complete stack trace. If possible, try including the TAP
     *     file(s) too.}
     */
    public static String Results_TAP_UnkownInternalError() {
        return holder.format("Results.TAP.UnkownInternalError");
    }

    /**
     * Key {@code Results.TAP.UnkownInternalError}: {@code Unkown internal
     * error. Please, open an issue in Jenkins JIRA with the complete stack
     * trace. If possible, try including the TAP file(s) too.}.
     * 
     * @return
     *     {@code Unkown internal error. Please, open an issue in Jenkins JIRA
     *     with the complete stack trace. If possible, try including the TAP
     *     file(s) too.}
     */
    public static Localizable _Results_TAP_UnkownInternalError() {
        return new Localizable(holder, "Results.TAP.UnkownInternalError");
    }

    /**
     * Key {@code Results.JUnit.UnkownInternalError}: {@code Unkown internal
     * error. Please, open an issue in Jenkins JIRA with the complete stack
     * trace. If possible, try including the JUnit XML(s) too.}.
     * 
     * @return
     *     {@code Unkown internal error. Please, open an issue in Jenkins JIRA
     *     with the complete stack trace. If possible, try including the JUnit
     *     XML(s) too.}
     */
    public static String Results_JUnit_UnkownInternalError() {
        return holder.format("Results.JUnit.UnkownInternalError");
    }

    /**
     * Key {@code Results.JUnit.UnkownInternalError}: {@code Unkown internal
     * error. Please, open an issue in Jenkins JIRA with the complete stack
     * trace. If possible, try including the JUnit XML(s) too.}.
     * 
     * @return
     *     {@code Unkown internal error. Please, open an issue in Jenkins JIRA
     *     with the complete stack trace. If possible, try including the JUnit
     *     XML(s) too.}
     */
    public static Localizable _Results_JUnit_UnkownInternalError() {
        return new Localizable(holder, "Results.JUnit.UnkownInternalError");
    }

    /**
     * Key {@code Results.TestNG.UnkownInternalError}: {@code Unkown internal
     * error. Please, open an issue in Jenkins JIRA with the complete stack
     * trace. If possible, try including the TestNG XML(s) too.}.
     * 
     * @return
     *     {@code Unkown internal error. Please, open an issue in Jenkins JIRA
     *     with the complete stack trace. If possible, try including the TestNG
     *     XML(s) too.}
     */
    public static String Results_TestNG_UnkownInternalError() {
        return holder.format("Results.TestNG.UnkownInternalError");
    }

    /**
     * Key {@code Results.TestNG.UnkownInternalError}: {@code Unkown internal
     * error. Please, open an issue in Jenkins JIRA with the complete stack
     * trace. If possible, try including the TestNG XML(s) too.}.
     * 
     * @return
     *     {@code Unkown internal error. Please, open an issue in Jenkins JIRA
     *     with the complete stack trace. If possible, try including the TestNG
     *     XML(s) too.}
     */
    public static Localizable _Results_TestNG_UnkownInternalError() {
        return new Localizable(holder, "Results.TestNG.UnkownInternalError");
    }

    /**
     * Key {@code ReportSummary.Details.TestProjectId}: {@code Test project
     * ID}.
     * 
     * @return
     *     {@code Test project ID}
     */
    public static String ReportSummary_Details_TestProjectId() {
        return holder.format("ReportSummary.Details.TestProjectId");
    }

    /**
     * Key {@code ReportSummary.Details.TestProjectId}: {@code Test project
     * ID}.
     * 
     * @return
     *     {@code Test project ID}
     */
    public static Localizable _ReportSummary_Details_TestProjectId() {
        return new Localizable(holder, "ReportSummary.Details.TestProjectId");
    }

    /**
     * Key {@code Results.JUnit.NumberOfReportsFound}: {@code Found [{0}]
     * JUnit XML(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found [{0}] JUnit XML(s).
     *     }
     */
    public static String Results_JUnit_NumberOfReportsFound(Object arg0) {
        return holder.format("Results.JUnit.NumberOfReportsFound", arg0);
    }

    /**
     * Key {@code Results.JUnit.NumberOfReportsFound}: {@code Found [{0}]
     * JUnit XML(s).
     * }.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code Found [{0}] JUnit XML(s).
     *     }
     */
    public static Localizable _Results_JUnit_NumberOfReportsFound(Object arg0) {
        return new Localizable(holder, "Results.JUnit.NumberOfReportsFound", arg0);
    }

    /**
     * Key {@code Results.TAP.IOException}: {@code IO error scanning for
     * include pattern [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code IO error scanning for include pattern [{0}]: {1}.}
     */
    public static String Results_TAP_IOException(Object arg0, Object arg1) {
        return holder.format("Results.TAP.IOException", arg0, arg1);
    }

    /**
     * Key {@code Results.TAP.IOException}: {@code IO error scanning for
     * include pattern [{0}]: {1}.}.
     * 
     * @param arg1
     *      2nd format parameter, {@code {1}}, as {@link String#valueOf(Object)}.
     * @param arg0
     *      1st format parameter, {@code {0}}, as {@link String#valueOf(Object)}.
     * @return
     *     {@code IO error scanning for include pattern [{0}]: {1}.}
     */
    public static Localizable _Results_TAP_IOException(Object arg0, Object arg1) {
        return new Localizable(holder, "Results.TAP.IOException", arg0, arg1);
    }

}
